Help With php_ssh2.dll

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Help With php_ssh2.dll

Postby alfred3x » 14. January 2010 19:18

I had this set up on my old machine, but the new one with the latest version of XAMPP (1.7.3) doesn't have it. Can anyone help me out with setting it up? (I'm on WinXP Pro sp3)

I went hunting for it, but the place where I got it last time (http://pecl4win.php.net/ext.php/php_ssh2.dll) seems to be down for the time being: they're promising a new server.

If I can't find it, I'll have to roll back to an older version of XAMPP. (1.6.2 was on my old box)

Suggestions:
- Maybe this is the sort of thing that should built-in to the package?
- How about some canonical docs on setting up virtual hosts in XAMPP?

Otherwise, thanks for a kick-ass package. I recommend it to everyone interested in PHP development.
alfred3x
 
Posts: 29
Joined: 10. August 2006 19:00
Location: Toronto, ON, Canada

Re: Help With php_ssh2.dll

Postby Izzy » 14. January 2010 22:16

If I can't find it, I'll have to roll back to an older version of XAMPP. (1.6.2 was on my old box)
The last known version it was included in was XAMPP 1.7.1 in the \xampp\php\ext folder - perhaps download the zip or exe file from the SourceForge repository (link on the Home Page) then extract the contents from the archive to access the file you want.

The php_ssh2.dll version in the above release is 5.2.8.8 dated Jan 16 2009.
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Re: Help With php_ssh2.dll

Postby alfred3x » 15. January 2010 17:01

Thx Izzy. I've actually just rolled back to 1.6.2. Still setting up. Took me a while to get mcrypt up because I was modifying the wrong php.ini file.

BTW, what version of PHP is in 1.7.1?

Other suggestion:
- a list of configuration files and their locations. (Noticed they move around from version to version)
alfred3x
 
Posts: 29
Joined: 10. August 2006 19:00
Location: Toronto, ON, Canada

Re: Help With php_ssh2.dll

Postby Izzy » 16. January 2010 00:18

The http://windows.php.net works fine and tells all as this address may eventually replace the old pecl4win address and would be the place to watch out for future announcements re PECL For Windows
windows.php.net wrote:PECL For Windows

PECL extensions for Windows is being worked on. The interface on the pecl website will most likely be updated to offer Windows DLL download right from that website.
In the meantime, some extensions can be found here.

New website for PHP Windows

The PHP Windows Development team would like to announce this new website. Here you will find information specifically related to Windows, such as downloads, snapshots and documentation.

Only the downloads are available for now.
There are no ssh2 dlls listed for VC6 x86 Thread Safe PHP 5.3 versions in the above here link.

alfred3x wrote:...Maybe this is the sort of thing that should built-in to the package?
The php_ssh2.dll appears not to be compatible with PHP 5.3.* and is why it is not included in versions 1.7.2> of XAMPP - usually the developers are onto the latest information when developing a new XAMPP release and will remove obsolete items as and when required - maybe a more prominent and detailed list of changes (included in the SourceForge Repository perhaps) would make more sense, but the volunteer developers, like so many of us these days, may not have enough free time that they wished they had. ;)
For example re more detailed changes, this from version 1.7.1 and 1.7.2 archive, xampp-changes.txt file
21. March 2009 1.7.1 Beta4

- Change php_ssh2.dll
=> Original: SSH-2.0-libssh2_0.11
=> Now: SSH-2.0-libssh2_1.0
but in 1.7.2 ext. folder no php_ssh2.dll file (gone).

IMHO there seems to be very little info out there about php_ssh2.dll or libssh2 etc.. so perhaps the developers could shed some light on this for those wanting to use this in 1.7.3 instead of having to roll back a version or two.

Finally a suggestion you may like to try and test out if you still have XAMPP 1.7.3
(if there are no other more authoritative suggestions from the developers),
and that is to uncomment:
;extension=php_curl.dll
in the php.ini file and try your usage as if you had the php_ssh2.dll, as I seem to be reading that ssh has been perhaps enabled in curl
This from the 5.3.0 php change log
Added support for SSH via libssh2 in cURL. (Pierre)


alfred3x wrote:BTW, what version of PHP is in 1.7.1?
Normally you will find version specific content by visiting this link:
http://sourceforge.net/projects/xampp/files/XAMPP Windows/
Click on the Folder view link for the Release notes for a specific version's content but because of a web site developer's finger trouble the release note links, until fixed, will not be much help for version 1.7.1 or for any version except 1.7.3 that is.

From the 1.7.1 readme-en.txt file, included in the archive file, that states the PHP version is:
PHP 5.2.9 + PEAR (Support for PHP 4 has been discontinued)

Worth noting that since version 1.7.1 the php.ini file resides in the \xampp\php folder and versions prior the php.ini file resides in the \xampp\apache\bin folder.
This link would tell you which php configuration file is being read and it's location:
http://localhost/xampp/phpinfo.php

alfred3x wrote:- a list of configuration files and their locations.
This has been taken care of in the newer versions by reading the XAMPP For Windows Home Page (the FAQ also makes good reading):
http://www.apachefriends.org/en/xampp-windows.html#529
Except for the php.ini file and a rename of the my.ini file (from my.cnf or simply just my) most others are identical locations and names in older versions.

The Home Page would normally only contain information in relation to the current release.
The forums here would be the place to search for older release information.


My apologies for not being much help with your specific issue but I hope the rest of the rambling info is maybe some use.



Web Site Development Notes For OSWALD
The Windows Release note links at SourceForge all point to the one version 1.7.3 and need fixing:
http://sourceforge.net/projects/xampp/f ... 3.txt/view
Also the links need checking on the Home Page that refer to Vista Problems:
http://www.apachefriends.org/en/faq-xam ... html#vista
Also the XAMPP Windows 1.7.3 [Basic package] ^README link loads the 1.7.2 readme_en.txt file.
http://www.apachefriends.org/winxampp/readme_en.txt
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Re: Help With php_ssh2.dll

Postby scott2500uk » 16. February 2010 12:05

Has there been any movement on this one yet?

I've looked all over and cannot find a working copy of php_ssh2.dll VC6 to work with PHP 5.3.1

Has anyone got a working copy yet?

If no one has, whats the next previous version of PHP that there is a php_ssh2.dll VC6 available?

I really wanted to use the latest version of php but can't use it if there is no SSH support.

Kind Regards

Scott
scott2500uk
 
Posts: 1
Joined: 16. February 2010 12:01

Re: Help With php_ssh2.dll

Postby kifwebe » 11. May 2010 21:33

I downloaded the vc9 version of php_ssh2.dll and used a hex editor to change the vc9 to vc6 (at address hex 2150F). So far it works just fine, and, as I am using xampp as a windows desktop development environment for our linux servers, I am not too worried about it.
kifwebe
 
Posts: 1
Joined: 11. May 2010 21:24

Re: Help With php_ssh2.dll

Postby cybester » 27. June 2010 02:43

as kifwebe said, it works perfectly , i did the same ,click here http://www.madebycybester.com/php_ssh2.dll to download that version , it works good with php 5.3.1 , i edited in hex also and replaced vc9 with vc6, and among other versions of php_ssh2.dll this one really works and doesnt give any error/conflict with xampp . hope it was helpfull
cybester
 
Posts: 2
Joined: 27. June 2010 02:37

Re: Help With php_ssh2.dll

Postby setcookie » 06. September 2010 17:21

i would really be greatful if you guys could supply exactly that modified ssh2.dll vor vc6 :) im having no luck in changing the file myself
setcookie
 
Posts: 7
Joined: 04. July 2008 17:04

Re: Help With php_ssh2.dll

Postby Nobbie » 06. September 2010 18:13

setcookie wrote:i would really be greatful if you guys could supply exactly that modified ssh2.dll vor vc6 :) im having no luck in changing the file myself


I dont think they read your posting - look at the number of postings (1 and 2) and the date of the last posting (3 month ago). As it is not a question of "luck", you should specify whats going wrong with your versions.

P.S.: If you download the php_ssh2.dll from http://www.madebycybester.com/php_ssh2.dll (as recommended by "cybester"), you dont need to edit it anymore - this is already the modified version. So the guys already did what you are asking for?!?!
Nobbie
 
Posts: 8772
Joined: 09. March 2008 13:04

Re: Help With php_ssh2.dll

Postby setcookie » 07. September 2010 09:01

oh okay ... but i remember when i tried downloading yesterday the server was down or something. no everything is fine ... thx!
setcookie
 
Posts: 7
Joined: 04. July 2008 17:04

Re: Help With php_ssh2.dll

Postby Nobbie » 07. September 2010 09:31

setcookie wrote:oh okay ... but i remember when i tried downloading yesterday the server was down or something. no everything is fine ... thx!


Surprising! I downloaded it yesterday successfully.
Nobbie
 
Posts: 8772
Joined: 09. March 2008 13:04

Re: Help With php_ssh2.dll

Postby g00gle88 » 30. March 2011 00:44

i downloaded php_ssh2.dll from http://www.madebycybester.com/php_ssh2.dll. I added it in my php.ini then restarted apache then i got this message

PHP Startup: Unable to load dynamic library 'C:\xampp\php\php_ssh2.dll' - This application has failed to start because the application configuration is incorrect. Reinstalling the application may fix the problem.



PHP Version 5.3.1
System Windows NT WD33050 5.1 build 2600 (Windows XP Professional Service Pack 3) i586
Build Date Nov 20 2009 17:20:57
Compiler MSVC6 (Visual C++ 6.0)
Architecture x86
Configure Command cscript /nologo configure.js "--enable-snapshot-build"
Server API Apache 2.0 Handler
Virtual Directory Support enabled
Configuration File (php.ini) Path no value
Loaded Configuration File C:\xampp\php\php.ini
Scan this dir for additional .ini files (none)
Additional .ini files parsed (none)
PHP API 20090626
PHP Extension 20090626
Zend Extension 220090626
Zend Extension Build API220090626,TS,VC6
PHP Extension Build API20090626,TS,VC6
Debug Build no
Thread Safety enabled
Zend Memory Manager enabled
Zend Multibyte Support disabled
IPv6 Support enabled
Registered PHP Streams https, ftps, php, file, glob, data, http, ftp, compress.zlib, compress.bzip2, phar, zip
Registered Stream Socket Transports tcp, udp, ssl, sslv3, sslv2, tls
Registered Stream Filters convert.iconv.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk, zlib.*, bzip2.*
g00gle88
 
Posts: 1
Joined: 30. March 2011 00:20


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 55 guests